Get Form Schema

Get information about a given form.

Required scope | forms:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

form_idstringRequiredformat: "objectid"
Unique identifier for a Form

Response

Request was successful
displayNamestringOptional
The Form name displayed on the site
createdOnstringOptionalformat: "date-time"
Date that the Form was created on
lastUpdatedstringOptionalformat: "date-time"
Date that the Form was last updated on
fieldsmap from strings to objectsOptional
A collection of form field objects
responseSettingsobjectOptional
Settings for form responses
idstringOptionalformat: "objectid"
The unique ID for the Form
siteIdstringOptionalformat: "objectid"
The unique ID of the Site the Form belongs to
siteDomainIdstringOptionalformat: "objectid"
The unique ID corresponding to the site's Domain name
pageIdstringOptionalformat: "objectid"
The unique ID for the Page on which the Form is placed
pageNamestringOptional

The user-visible name of the Page where the Form is placed

formElementIdstring or nullOptional
The unique ID of the Form element
workspaceIdstringOptionalformat: "objectid"
The unique ID of the Workspace the Site belongs to

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error